Eio Functions
eio_cancel
Eio Functions
PHP Manual

# eio_busy

(PECL eio >= 0.0.1dev)

eio_busy — Artificially increase load. Could be useful in tests, benchmarking.

### Description

resource eio_busy ( int `$delay` [, int `$pri` = EIO_PRI_DEFAULT [, callable `$callback` = NULL [, mixed `$data` = NULL ]]] )

eio_busy() artificially increases load taking `delay` seconds to execute. May be used for debugging, or benchmarking.

### Parameters

`delay`

  Delay in seconds

`pri`

  The request priority: `EIO_PRI_DEFAULT`, `EIO_PRI_MIN`, `EIO_PRI_MAX`, or `NULL`. If `NULL` passed, `pri` internally is set to `EIO_PRI_DEFAULT`.

`callback`

  This callback is called when all the group requests are done.

`data`

  Arbitrary variable passed to `callback`.

### Return Values

eio_busy() returns request resource on success or `FALSE` on error.

### See Also

- eio_nop

Eio Functions
eio_cancel
Eio Functions
PHP Manual